Page MenuHomePhabricator

MathML: "TeX parse error: Double subscripts: use braces to clarify"
Closed, ResolvedPublic

Description

TeX parser error in SU(2):
Fehler beim Parsen (Konvertierungsfehler. Der Server („http://mathoid.svc.eqiad.wmnet:10042“) hat berichtet: „Error:["TeX parse error: Double subscripts: use braces to clarify"]“)

Same error with
<math>\overline{M}^1</math>

Appears only with MathML, not with MathJax or PNG images.

Event Timeline

Thgoiter created this task.Dec 15 2014, 8:08 AM
Thgoiter raised the priority of this task from to Needs Triage.
Thgoiter updated the task description. (Show Details)
Thgoiter added a project: Math.
Thgoiter changed Security from none to None.
Thgoiter added a subscriber: Thgoiter.
Thgoiter renamed this task from TeX parse error: Double subscripts: use braces to clarify to MathML: "TeX parse error: Double subscripts: use braces to clarify".Dec 15 2014, 9:43 AM
Thgoiter updated the task description. (Show Details)

I checked

./texvcjs '\overline{M}^1'
+{\overline {M}}^{1}

and

./texvccheck '\overline{M}^1' 
+{\overline  {M}}^{1}

as well as

./texvcjs '{\overline  {M}}^{1}'
+{\overline {M}}^{1}

So the error message seems not to come from neither texvcjs nor texvvccheck, which seems strange.
This needs to be investigated further.

Physikerwelt moved this task from Incoming to Next-up on the Math board.Dec 15 2014, 6:21 PM

I just tested with the most recent version of mathoid:

curl -d 'q=\overline{M}^1' mathoid.testme.wmflabs.org

and received

{"mml":"<math xmlns=\"http://www.w3.org/1998/Math/MathML\" display=\"block\">\n<msup>\n  <mrow class=\"MJX-TeXAtom-ORD\">\n    <mover>\n      <mi>M</mi>\n      <mo accent=\"false\">&#x00AF;<!-- ¯ --></mo>\n    </mover>\n  </mrow>\n  <mrow class=\"MJX-TeXAtom-ORD\">\n    <mn>1</mn>\n  </mrow>\n</msup>\n</math>","svg":"<?xml version=\"1.0\" standalone=\"no\"?>\n<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 1.1//EN\" \"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd\">\n<svg xmlns:xlink=\"http://www.w3.org/1999/xlink\" style=\"vertical-align: -0.167ex; \" width=\"3.833ex\" height=\"3ex\" viewBox=\"0 -1278.9 1635.8 1302.9\" xmlns=\"http://www.w3.org/2000/svg\">\n<defs>\n<path stroke-width=\"10\" id=\"E1-MJMATHI-4D\" d=\"M289 629Q289 635 232 637Q208 637 201 638T194 648Q194 649 196 659Q197 662 198 666T199 671T201 676T203 679T207 681T212 683T220 683T232 684Q238 684 262 684T307 683Q386 683 398 683T414 678Q415 674 451 396L487 117L510 154Q534 190 574 254T662 394Q837 673 839 675Q840 676 842 678T846 681L852 683H948Q965 683 988 683T1017 684Q1051 684 1051 673Q1051 668 1048 656T1045 643Q1041 637 1008 637Q968 636 957 634T939 623Q936 618 867 340T797 59Q797 55 798 54T805 50T822 48T855 46H886Q892 37 892 35Q892 19 885 5Q880 0 869 0Q864 0 828 1T736 2Q675 2 644 2T609 1Q592 1 592 11Q592 13 594 25Q598 41 602 43T625 46Q652 46 685 49Q699 52 704 61Q706 65 742 207T813 490T848 631L654 322Q458 10 453 5Q451 4 449 3Q444 0 433 0Q418 0 415 7Q413 11 374 317L335 624L267 354Q200 88 200 79Q206 46 272 46H282Q288 41 289 37T286 19Q282 3 278 1Q274 0 267 0Q265 0 255 0T221 1T157 2Q127 2 95 1T58 0Q43 0 39 2T35 11Q35 13 38 25T43 40Q45 46 65 46Q135 46 154 86Q158 92 223 354T289 629Z\"></path>\n<path stroke-width=\"10\" id=\"E1-MJMAIN-AF\" d=\"M69 544V590H430V544H69Z\"></path>\n<path stroke-width=\"10\" id=\"E1-MJMAIN-31\" d=\"M213 578L200 573Q186 568 160 563T102 556H83V602H102Q149 604 189 617T245 641T273 663Q275 666 285 666Q294 666 302 660V361L303 61Q310 54 315 52T339 48T401 46H427V0H416Q395 3 257 3Q121 3 100 0H88V46H114Q136 46 152 46T177 47T193 50T201 52T207 57T213 61V578Z\"></path>\n</defs>\n<g stroke=\"black\" fill=\"black\" stroke-width=\"0\" transform=\"matrix(1 0 0 -1 0 0)\">\n <use xlink:href=\"#E1-MJMATHI-4D\" x=\"35\" y=\"0\"></use>\n<g transform=\"translate(52,360)\">\n <use xlink:href=\"#E1-MJMAIN-AF\" x=\"-74\" y=\"0\"></use>\n<g transform=\"translate(292.53462603878114,0) scale(0.925207756232687,1)\">\n <use xlink:href=\"#E1-MJMAIN-AF\"></use>\n</g>\n <use xlink:href=\"#E1-MJMAIN-AF\" x=\"621\" y=\"0\"></use>\n</g>\n <use transform=\"scale(0.707)\" xlink:href=\"#E1-MJMAIN-31\" x=\"1666\" y=\"1112\"></use>\n</g>\n</svg>","img":"<img src=\"file.svg\" style=\"vertical-align: -0.167ex; margin-left: 0ex; margin-right: 0ex; margin-bottom: 1px; margin-top: 1px; width:3.833ex; height:3ex;\">","success":true,"log":"success","sanetex":"{\\overline {M}}^{1}"}

thus simply updating the mathoid server in production might solve the problem

Can someone who has access to the production cluster test if the request
curl -d 'q=\overline{M}^1' mathoid.production.address
works as expected of if it returns the double subscript error

In T78518#847737, @Pkra wrote:

Should be fixed in MathJax v2.5.
Where do I see which version is used in Wikipedia?

Physikerwelt triaged this task as High priority.Mar 20 2015, 3:02 PM
Physikerwelt edited projects, added Mathoid; removed Math.
Physikerwelt closed this task as Resolved.Jul 20 2015, 12:28 AM
Physikerwelt claimed this task.

Should be fixed by now.